rawset(_G, "gg_playercount", {}) --Condense playercount loop into one accessible global
	
gg_playercount.playercount = 0
gg_playercount.nextPlayercountCheck = -1
addHook("ThinkFrame", function()
	if leveltime == 5 then
		gg_playercount.nextPlayercountCheck = leveltime --Start of race overwrite
	end
	--The actual loop
	if gg_playercount.playercount == 0 or gg_playercount.nextPlayercountCheck < leveltime then --Cache this result in order to reduce the amount of looping this is doing in the background
		gg_playercount.playercount = 0 --Reset
		for p in players.iterate
			if p.valid then
				if not p.mo or not p.mo.valid then continue end
				gg_playercount.playercount = $+1
			end		
		end
		gg_playercount.nextPlayercountCheck = leveltime + 350 -- 10 second intervals
	end
end)

addHook("NetVars", function(x)
	gg_playercount = x($)
end)